#!/bin/bash

######################################################
# sphynx-reconf.sh
# taches a executer lors d'une reconfiguration
######################################################

. ParseDico

# On supprime le service ipsec au niveau des rc*.d s'il existe...
if [ -L /etc/rc3.d/S20ipsec ]
then
	update-rc.d -f ipsec remove >/dev/null 2>&1
fi
# On ajoute ipsecSPhynx au niveau des rc s'il n'existe pas, on arrête ipsec et on lance ipsecSphynx 
if [ $haute_dispo == "non" ] && [ ! -L /etc/rc3.d/S20ipsecSphynx ]

then
	update-rc.d ipsecSphynx defaults >/dev/null 2>&1
	/etc/init.d/ipsec stop
	/etc/init.d/ipsecSphynx start
fi
echo
